Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.jxta
Class JxtaTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.AbstractTransportChannel
          org.codehaus.activemq.transport.tcp.TcpTransportChannel
              org.codehaus.activemq.transport.jxta.JxtaTransportChannel

All Implemented Interfaces:
  java.lang.Runnable, Service, TransportChannel

public class JxtaTransportChannel
extends TcpTransportChannel

A JXTA implementation of a TransportChannel

Version:
  $Revision: 1.5 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.tcp.TcpTransportChannel
`socket`

Constructor Summary
`JxtaTransportChannel(WireFormat wireFormat, java.net.URI remoteLocation)` Connect to a remote Node - e.g.
`JxtaTransportChannel(WireFormat wireFormat, java.net.URI remoteLocation, java.net.URI localLocation)` Connect to a remote Node - e.g.

Method Summary
`protected java.net.Socket` | `createSocket(java.net.URI remoteLocation)` Factory method to create a new socket
`protected java.net.Socket` | `createSocket(java.net.URI remoteLocation, java.net.URI localLocation)` Factory method to create a new socket
`java.lang.String` | `toString()` pretty print for object

Methods inherited from class org.codehaus.activemq.transport.tcp.TcpTransportChannel
`asyncSend, doAsyncSend, isMulticast, run, start, stop`

Methods inherited from class org.codehaus.activemq.transport.AbstractTransportChannel
`addTransportStatusEventListener, doConsumePacket, doHandleReceipt, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, onAsyncException, removeTransportStatusEventListener, send, send, setClientID, setExceptionListener, setPacketListener, setTransportChannelListener, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JxtaTransportChannel

    public JxtaTransportChannel(WireFormat wireFormat,
                                java.net.URI remoteLocation)
                         throws JMSException

  Connect to a remote Node - e.g. a Broker

Parameters:
  `remoteLocation` -
Throws:
  `JMSException`

### JxtaTransportChannel

    public JxtaTransportChannel(WireFormat wireFormat,
                                java.net.URI remoteLocation,
                                java.net.URI localLocation)
                         throws JMSException

  Connect to a remote Node - e.g. a Broker

Parameters:
  `remoteLocation` -
  `localLocation` - - e.g. local InetAddress and local port
Throws:
  `JMSException`

Method Detail

### toString

    public java.lang.String toString()

  pretty print for object

  Overrides:
    `toString` in class `TcpTransportChannel`
  Returns:
    String representation of this object

### createSocket

    protected java.net.Socket createSocket(java.net.URI remoteLocation)
                                    throws java.net.UnknownHostException,
                                           java.io.IOException

  Description copied from class: `TcpTransportChannel`
  Factory method to create a new socket

  Overrides:
    `createSocket` in class `TcpTransportChannel`
  Parameters:
    `remoteLocation` - the URI to connect to
  Returns:
    the newly created socket
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    protected java.net.Socket createSocket(java.net.URI remoteLocation,
                                           java.net.URI localLocation)
                                    throws java.io.IOException,
                                           java.net.UnknownHostException

  Description copied from class: `TcpTransportChannel`
  Factory method to create a new socket

  Overrides:
    `createSocket` in class `TcpTransportChannel`
  Parameters:
    `remoteLocation` -
    `localLocation` -
  Returns:
    @throws IOException
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.